PrintSetupAction
Keywords: javax.help.PrintSetupAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Class PrintSetupAction

    java.lang.Object
      javax.help.AbstractHelpAction
          javax.help.PrintSetupAction

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener, HelpAction, java.beans.PropertyChangeListener

public class PrintSetupAction
extends AbstractHelpAction
implements java.beans.PropertyChangeListener, java.awt.event.ActionListener

Constructor Summary
`PrintSetupAction(java.lang.Object control)` Creates new BackAction

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent event)`
`void` | `propertyChange(java.beans.PropertyChangeEvent evt)` This method gets called when a bound property is changed.

Methods inherited from class javax.help.AbstractHelpAction
`addPropertyChangeListener, getControl, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrintSetupAction

    public PrintSetupAction(java.lang.Object control)

  Creates new BackAction

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent event)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  This method gets called when a bound property is changed.

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`
  Parameters:
    `evt` - A PropertyChangeEvent object describing the event source and the property that has changed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD